## intrace 1.6

=== Makefile ===
#  Makefile for the project
#  Robert Swiecki <robert@swiecki.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307

CC ?= gcc
COMMON_CFLAGS = -fPIC -O3 -g -c -std=gnu11  -I. \
                 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
                 -Wall -Werror -Wextra

COMMON_LDFLAGS = -fPIE -lpthread

CFLAGS += $(COMMON_CFLAGS)

LD ?= $(CC)
LDFLAGS += $(COMMON_LDFLAGS)

SRCS = debug.c intrace.c threads.c listener.c \
       sender.c display.c ipv4.c ipv6.c

OBJS = $(SRCS:.c=.o)
BIN = intrace

all: $(BIN)

.c.o: %.c
	$(CC) $(CFLAGS) $<

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LDFLAGS)

clean:
	rm -f core $(OBJS) $(BIN)

indent:
	indent -linux -l100 -lc100 *.c *.h; rm -f *~

# DO NOT DELETE

=== debian/changelog ===
intrace (1.6-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/watch: Fix watch file and bump version to 4.
  * Fix FTBFS due to address of packed member.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 19 Apr 2023 00:23:44 -0500

intrace (1.6-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * New upstream version 1.6 (closes 5153)
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.3.0
  * Update copyright
  * Remove obsolete patches
  * Update debian/docs
  * Fix description in debian/control
  * Build with hardening flags and cppflags

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Apr 2019 10:37:51 +0200

intrace (1.5-1kali4) kali-dev; urgency=medium

  * Use debhelper 9
  * Add patches to build with libc 2.20

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Mar 2016 15:11:02 +0100

intrace (1.5-1kali3) kali; urgency=low

  * Updated watch file.

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 19:36:20 -0500

intrace (1.5-1kali2) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 15:07:28 -0500

intrace (1.5-1kali1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Wed, 22 Aug 2012 16:36:27 -0600

=== debian/control ===
Source: intrace
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.2
Homepage: https://github.com/robertswiecki/intrace
Vcs-Git: https://gitlab.com/kalilinux/packages/intrace.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/intrace

Package: intrace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Traceroute-like application piggybacking on existing TCP connections
 InTrace is a traceroute-like application that enables users to enumerate IP
 hops exploiting existing TCP connections, both initiated from local network
 (local system) or from remote hosts. It could be useful for network
 reconnaissance and firewall bypassing.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(.*)\.tar\.gz/$1.tar.gz/, \
uversionmangle=s/^intrace-(\d\S*)$/\${1}/" \
https://github.com/robertswiecki/intrace/tags .*/v?(.*)\.tar\.gz
